Announcing RocketLauncher! The first exploit with unlocked Arm7!

Discussion in 'NDS - Emulation and Homebrew' started by Apache Thunder, Jul 2, 2017.

  1. Luglige

    Luglige hiatus

    Member
    1,409
    1,520
    Jan 24, 2016
    Antarctica
    under your bed
     
    Oleboy555 and Dr.Hacknik like this.


  2. Zukov

    Zukov Dinosaur

    Member
    187
    45
    Oct 2, 2016
    Chile
    Please World, let my DSi be in 1.4.0.
    Make me come back to home after work and see this beautifull news calmly.

    edit:
    1.4.5U
    :sad::sad::sad:
     
    Last edited by Zukov, Jul 7, 2017
    Luglige likes this.
  3. pandavova

    pandavova @pandavova FOLLOW ME ON TWITTER

    Member
    561
    249
    Oct 27, 2015
    Germany
    Windows 10 Pro
    Omg... My Japanese DSi LL (from Ebay 30€) is on 1.4J...
    Could i finally change the language/region with this? (I bought it because i can play with a flashcard in English/German...)
    But this scares me, because i dont have a nand mod/ DSiWare exploit... :/

    And lets hope my R4iDSN works with this... I dont think so but, meh...
    BTW, idc for release date... I just want that this works :D

    Edit:
    Lol, ehm, then i just need an visual instruction and its perfect, cause i cant read japanese and Flipnote and the DSi Browser are installed xD

    Edit2: I will have very good times xD
    http://imgur.com/a/PXAHe
     
    Last edited by pandavova, Jul 7, 2017
    Xppp1 likes this.
  4. lebrawurschd

    lebrawurschd GBAtemp Regular

    Member
    233
    45
    Jan 1, 2016
    Gambia, The
    Nice I gues it's time to sell my ton of did flashcards sometime soon
     
  5. PoppaDre

    PoppaDre GBAtemp Regular

    Member
    146
    58
    Aug 23, 2016
    Canada
    wait, so what does this do?
     
  6. sergey3000

    sergey3000 GBAtemp Regular

    Member
    296
    143
    Sep 14, 2013
    Iceland
    my yellow dsi xl is on 1.4E. it came with that firmware. i guess it's a good thing that i didn't update the firmware.
     
  7. Oleboy555

    Oleboy555 Wie dit leest is een zemmel

    Member
    638
    268
    Feb 8, 2017
    Netherlands
    Amsterdam
    lucky you, now just wait for release and get a flashcard that works with it
     
  8. GhostLatte

    GhostLatte Yet Another Shitposter

    Member
    2,739
    13,357
    Mar 26, 2015
    United States
    The University of Shitpostology
    When this new exploit is released, I'll probably pick up a DSi since my last one was stolen :P
     
  9. Robz8

    Robz8 Coolest of TWL

    Member
    6,693
    2,829
    Oct 1, 2010
    United States
    You can access both the Slot-1 card and the SD/NAND.
     
    pandavova likes this.
  10. Oleboy555

    Oleboy555 Wie dit leest is een zemmel

    Member
    638
    268
    Feb 8, 2017
    Netherlands
    Amsterdam
    wil the flipnote/browser exploit have this too?
     
  11. Robz8

    Robz8 Coolest of TWL

    Member
    6,693
    2,829
    Oct 1, 2010
    United States
    No. As they're DSiWare, only SD/NAND access is available.
     
  12. Oleboy555

    Oleboy555 Wie dit leest is een zemmel

    Member
    638
    268
    Feb 8, 2017
    Netherlands
    Amsterdam
    any negative effects because of that?
     
  13. Robz8

    Robz8 Coolest of TWL

    Member
    6,693
    2,829
    Oct 1, 2010
    United States
    Yes. ARM7 SCFG will be locked, and as a result, sound will work incorrectly in NTR mode games.
     
  14. Oleboy555

    Oleboy555 Wie dit leest is een zemmel

    Member
    638
    268
    Feb 8, 2017
    Netherlands
    Amsterdam
    so Rocketlauncher will be a superior exploit?
     
  15. Robz8

    Robz8 Coolest of TWL

    Member
    6,693
    2,829
    Oct 1, 2010
    United States
    Yep.
     
  16. Billy Acuña

    Billy Acuña GBAtemp Addict

    Member
    2,175
    1,278
    Oct 10, 2015
    Mexico
    RocketLaucher is probably the ultimate hack for the DSi with full arm7 access on boot.
     
  17. Zukov

    Zukov Dinosaur

    Member
    187
    45
    Oct 2, 2016
    Chile
    No downgrade app at sight?
     
  18. Lemon_

    Lemon_ Advanced Member

    Newcomer
    54
    82
    Oct 31, 2015
    Argentina
    Damn my DSi is at 1.3U
     
  19. aea

    aea Advanced Member

    Newcomer
    57
    17
    Feb 8, 2013
    Pretty cool, man. I own a 1.4.3U dsi, but I fortunately downloaded Zelda Four Swords from the e-shop in that time. Since I watched that Apache Thunder used that game in his video, probably to launch an exploit, could someone please point me to a guide where I can found out how to install such exploit? After that I think that I could make some kind of downgrade and so downgrade to 1.4 in order to use Apache's exploit. Thanks in advance.
     
  20. jerbear64

    jerbear64 GBAtemp Regular

    Member
    284
    129
    Dec 10, 2011
    United States
    You need a hardmod for 4swordshax.